# opt.h File Reference

`#include "net/lwipopts.h"`

Go to the source code of this file.

## Defines

#define | ICMP_TTL 255
#define | UDP_TTL 255
#define | TCP_TTL 255
#define | TCP_MSS 128
#define | TCP_WND 2048
#define | TCP_MAXRTX 12
#define | TCP_SYNMAXRTX 6
#define | MEM_ALIGNMENT 1
#define | PBUF_POOL_SIZE 16
#define | PBUF_POOL_BUFSIZE 128
#define | PBUF_LINK_HLEN 0
#define | LWIP_UDP 1
#define | LWIP_TCP 1

## Define Documentation

#define ICMP_TTL 255

#define LWIP_TCP 1

#define LWIP_UDP 1

#define MEM_ALIGNMENT 1

#define PBUF_LINK_HLEN 0

#define PBUF_POOL_BUFSIZE 128

#define PBUF_POOL_SIZE 16

#define TCP_MAXRTX 12

#define TCP_MSS 128

#define TCP_SYNMAXRTX 6

#define TCP_TTL 255

#define TCP_WND 2048

#define UDP_TTL 255